=== debian/changelog ===
re2 (20240501-3build1) oracular; urgency=medium

  * Rebuild against new libre2-11.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 19:31:38 +0200

re2 (20240501-3) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 May 2024 10:16:23 -0400

re2 (20240501-2) experimental; urgency=medium

  * Bind our Debian package ABI to absl (as discussed in #1070659):
    - Include absl ABI in an ABI virtual package name provided by libre2-11.
    - Have dependencies Depend on this ABI virtual package via dpkg-shlibdeps.
    - Drop symbols files. Upstream is doing a reasonable job of ABI
      maintenance, these days, and static symbols files are incompatible with
      binNMU absl ABI transitions.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 07 May 2024 19:06:41 -0400

re2 (20240501-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 03 May 2024 17:10:51 -0400

re2 (20240401-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Update symbols for absl20230802. (libre2-11 hasn't hit unstable yet.)
  * Bump smoketest to --std=c++14.

  [ Alexandre Detiste ]
  * remove extraneous python3-six build-dep

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Apr 2024 13:19:43 -0400

re2 (20240301-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 Mar 2024 11:14:32 -0400

re2 (20240201-1) experimental; urgency=medium

  * New upstream release.
  * Add hurd-amd64 to the long_size_t archs in symbols.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 01 Feb 2024 09:10:48 -0400

re2 (20231101-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add loong64 to the long_size_t archs in symbols. (Closes: #1054467)
  * Remove re2/fuzzing/compiler-rt from copyright, dropped upstream.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Nov 2023 11:45:56 +0200

re2 (20230901-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 22 Sep 2023 22:42:58 +0530

re2 (20230801-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Aug 2023 00:11:43 +0300

re2 (20230701-1) experimental; urgency=medium

  * New upstream released.
  * Drop patch linker-order.patch, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 18 Jul 2023 18:08:25 +0200
