## re2 20240702

=== debian/changelog ===
re2 (20240702-3) unstable; urgency=medium

  * Upload to unstable.
  * Build-Depend on python3-setuptools.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 09 Mar 2025 16:02:29 -0400

re2 (20240702-2) experimental; urgency=medium

  * Build the python bindings. (Closes: #1094745)
    - Patch: Build the Python bindings without bazel.
    - Patch: Ignore existing re2 directory in Python build dir.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 30 Jan 2025 18:53:04 -0400

re2 (20240702-1) experimental; urgency=medium

  * New upstream release.
    - Upload to experimental, as it requires a newer abseil.
  * Merge unstable changelog history predating libre2-11.
  * Bump abseil version requirement, following upstream.
  * Use pkgconf in the smoketest autopkgtest.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 30 Jan 2025 11:30:04 -0400
