=== debian/control ===
--- 
+++ 
@@ -4,14 +4,19 @@
 Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libabsl-dev,
+ dh-python,
+ libabsl-dev (>= 20240116.2),
  libbenchmark-dev,
  libgtest-dev,
  pkgconf,
+ pybuild-plugin-pyproject,
  python3,
  python3-absl,
+ python3-all-dev,
+ python3-pybind11,
+ python3-setuptools,
  unicode-data
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2
@@ -44,7 +49,7 @@
 Multi-Arch: same
 Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
 Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
-Depends: libre2-11 (= ${binary:Version}), libabsl-dev, ${misc:Depends}
+Depends: libabsl-dev, libre2-11 (= ${binary:Version}), ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library, development kit
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular
@@ -62,3 +67,25 @@
  of automata theory lets it apply optimizations that the others cannot.
  .
  This package contains the static library and header files used in development.
+
+Package: python3-re2
+Section: python
+Architecture: any
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Description: efficient, principled regular expression library, Python bindings
+ RE2 is a fast, safe, thread-friendly alternative to backtracking regular
+ expression engines like those used in PCRE, Perl, and Python. It is a C++
+ library.
+ .
+ RE2 uses automata theory to guarantee that regular expression searches run in
+ time linear in the size of the input. RE2 implements memory limits, so that
+ searches can be constrained to a fixed amount of memory. RE2 is engineered to
+ use a small fixed C++ stack footprint no matter what inputs or regular
+ expressions it must process; thus RE2 is useful in multithreaded environments
+ where thread stacks cannot grow arbitrarily large.
+ .
+ On large inputs, RE2 is often much faster than backtracking engines; its use
+ of automata theory lets it apply optimizations that the others cannot.
+ .
+ This package contains the Python bindings, providing a module (re2) which is a
+ drop-in replacement for the standard library re module.
