=== Makefile ===
--- 
+++ 
@@ -4,12 +4,15 @@
 
 # Build against Abseil.
 ABSL_DEPS=\
+	absl_absl_check\
+	absl_absl_log\
 	absl_base\
 	absl_core_headers\
 	absl_fixed_array\
 	absl_flags\
 	absl_flat_hash_map\
 	absl_flat_hash_set\
+	absl_hash\
 	absl_inlined_vector\
 	absl_optional\
 	absl_span\
@@ -31,8 +34,8 @@
 
 # Build against GoogleTest and Benchmark for... testing and benchmarking.
 # Capture only the `-L` flags for now; we will pass the `-l` flags later.
-CCGTEST=$(shell $(PKG_CONFIG) gtest --cflags)
-LDGTEST=$(shell $(PKG_CONFIG) gtest --libs-only-L)
+CCGTEST=$(shell $(PKG_CONFIG) gtest gtest_main --cflags)
+LDGTEST=$(shell $(PKG_CONFIG) gtest gtest_main --libs-only-L)
 CCBENCHMARK=$(shell $(PKG_CONFIG) benchmark --cflags)
 LDBENCHMARK=$(shell $(PKG_CONFIG) benchmark --libs-only-L)
 
@@ -46,7 +49,7 @@
 CXXFLAGS?=-O3 -g
 LDFLAGS?=
 # required
-RE2_CXXFLAGS?=-pthread -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -I. $(CCABSL) $(CCICU) $(CCGTEST) $(CCBENCHMARK) $(CCPCRE)
+RE2_CXXFLAGS?=-std=c++17 -pthread -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -I. $(CCABSL) $(CCICU) $(CCGTEST) $(CCBENCHMARK) $(CCPCRE)
 RE2_LDFLAGS?=-pthread $(LDABSL) $(LDICU) $(LDGTEST) $(LDBENCHMARK) $(LDPCRE)
 AR?=ar
 ARFLAGS?=rsc
@@ -113,7 +116,6 @@
 	re2/stringpiece.h\
 
 HFILES=\
-	util/logging.h\
 	util/malloc_counter.h\
 	util/pcre.h\
 	util/strutil.h\
@@ -396,4 +398,3 @@
 	echo '#' RE2 exhaustive tests built by make log >re2-exhaustive.txt
 	echo '#' $$(date) >>re2-exhaustive.txt
 	obj/test/exhaustive_test |grep -v '^PASS$$' >>re2-exhaustive.txt
-	obj/test/exhaustive1_test |grep -v '^PASS$$' >>re2-exhaustive.txt
