=== debian/changelog ===
re2 (20250805-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:18:26 +0000

re2 (20250805-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Build with --std=c++17.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 10 Aug 2025 12:05:15 +0200
