=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pybind11,
  python3-setuptools,
  unicode-data
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2
